/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.web.ui.internal.viewers.ColumnProvider"); //$NON-NLS-1$

dojo.require("com.ibm.team.apt.web.ui.internal.common.Assert"); //$NON-NLS-1$

(function() {
	
var Assert			= com.ibm.team.apt.web.ui.internal.common.Assert;

dojo.declare("com.ibm.team.apt.web.ui.internal.viewers.ColumnProvider", //$NON-NLS-1$
			 null, {

	// ---- api ------------------------------------------------------------------------------------------------------------
	
	getColumnCount: function() {
		Assert.isTrue(false, "Subclass needs to implement ColumnProvider#getColumnCount") //$NON-NLS-1$ //$NON-NLS-2$
		return 0;
	},
	
	getLabel: function(index) {
		Assert.isTrue(false, "Subclass needs to implement ColumnProvider#getLabel") //$NON-NLS-1$ //$NON-NLS-2$
		return ""; //$NON-NLS-1$
	},
	
	// ---- implementation -------------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});

})();
