/*
 * IBM Confidential
 * OCO Source Materials
 * Rational ClearQuest
 * (C) Copyright IBM Corp. 2006, 2007
 *
 * The source code for this program is not published or otherwise divested of its trade secrets,
 * irrespective of what has been deposited with the U.S. Copyright Office.
 */
 
 /* 
 * @description: This is default resource file for all the static strings used in CQ Web (Falcon)
 *
 * @author: Sreedhar Rella (srella@us.ibm.com)
 */
 
({
 // ported from shellResources.xml
 IBMRationalClearQuest: "IBM Rational ClearQuest",
 welcomeMsg: "Welcome",
 login: "Log in",
 youHaveMsg: "You have ${0} new items",
 
 // NOTE TO TRANSLATOR:
 // For languages where different record types ("Defect," "Feature," etc.)
 // might have different genders, this should be translated as "Create {0}"
 // to sidestep problems with gender.
 newRecord: "New ${0}",
 newQuery: "New Query",
 shortcut: "New Shortcut",
 userPref: "Preferences",
 userProfile: "User Profile",
 manageReports: "Manage Reports",
 siteConfig: "Site Administration",
 siteConfig_config: "Configuration",
 siteConfig_monitor: "Monitoring",
 help: "Help",
 helpContents: "Help Contents",
 projWizBtn: "New ALM Project Wizard",
 projWizs: "ALM Project Setup",
 contact: "Contact",
 termsOfUse: "Terms of Use",
 search: "Search",
 fullTextSearch: "Full Text",
 byId: "By ID",
 searchScope: "Search Scope",
 navigator: "ClearQuest Navigator",
 favorites: "ClearQuest Favorites",
 properties: "ClearQuest Properties",
 recentArtifacts: "Recent Items",
 welcome: "Welcome",
 about: "About ${0}",
 version: "Version",
 
 // record details
 cqRecordDetails: "ClearQuest Record Details",
  
 en: "English", 
 ja: "Japanese", 
 clearquest_login:"ClearQuest Login",
 logout:"Log out",
 CQ_MSG_LOGIN_CONNECT:"Retrieving the list of databases from the server...",
 please_relogin:" Please log in again.",
 not_implemented:"Not Implemented",
 loading:"Loading...",
 record:"Record",
 
 // FIXME: We shouldn't be putting sentences together like this. It doesn't translate well!
 record_found:"Record found: %{record}",
 record_not_found:"Record not found: %{record}",
 error_retrieving_properties:"Error retrieving properties.",
 file_not_found:"File not found: %{0}",
 bookmark: "Bookmark",
 bookmark_error: "Bookmark error: ",
 userPreferences: "User Preferences",
 restricted: "[Restricted Mode]",

 // Login
 LOGIN_ID: "User ID:",
 PASSWORD: "Password:",
 REPOSITORY: "Repository:",
 CONNECT: "Connect",
 CANCEL: "Cancel",
 LOGIN: "Log in",
 FORGOT_PASSWORD: "Forgot Password",
 REM_LOGIN_ID: "Remember User ID",
 REM_PASSWORD: "Remember Password",
 DB_SELECTION: "Database Selection",
 DATABASE: "Database",
 
 TIMEOUT_ERR_MSG: "Request timed out.", 
 LOGIN_ERR_MSG: "An error occured while logging in.",
 CONNECT_ERR_MSG: "Wrong user ID or password.",
 NO_USER_DB: "The schema repository does not contain any user database.", 
 PROVIDE_REQUIRED_VALUE: "Please provide required values.",
 RECOVER_PASSWORD_DLG_TITLE: "Recover Your Password", 
 LOGOUT_SUCCEED_MSG: "You have logged out.",
 LOGOUT_FAIL_MSG: "Logout failed.",
 LOGIN_ID_REQUIRED: "Please provide your user ID.",
 RESTRICT_SETTING_ERROR: "Failed to retrieve restricted mode settings.",
 
 // Manage Report strings
 noVegaServerDefined: "No Rational Report Management Server is defined. Contact your ClearQuest Web administrator.",
 errorRetrievingVegaServerUrl: "Error: Could not retrieve Rational Report Management Server URL.",
 
 // Submit Menu and Dialog
 more: "More...",
 newRecordDialogTitle: "New Record",
 recordTypeSelection: "Record type selection: ",
 createRecord: "Create"
})