/*
 * Licensed Materials - Property of IBM
 * Rational ClearQuest 
 * (C) Copyright IBM Corp. 2007,2009  All Rights Reserved
 * US Government Users Restricted Rights -
 * Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp
 */

dojo.provide("com.ibm.rational.cm.web.ui.utils.BookmarkContent");

dojo.require("dojo.i18n");
dojo.require("dijit._Widget");
dojo.require("dijit._Templated");

dojo.requireLocalization("com.ibm.rational.cm.web.ui", "cqRecordStrings");

dojo.declare(
	"com.ibm.rational.cm.web.ui.utils.BookmarkContent",
	[ dijit._Widget, dijit._Templated ],
{
	templatePath: dojo.moduleUrl("com.ibm.rational.cm.web", "ui/utils/templates/BookmarkContent.html"),	
	
	postMixInProperties: function(){
		this.messages = dojo.i18n.getLocalization("com.ibm.rational.cm.web.ui", "cqRecordStrings", this.lang);
		this.inherited(arguments);
	},
	
	setLink: function(url, title){
		this.bookmarkLink.href = url;
		this.bookmarkLink.innerHTML = title;
	}
});