/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.team.apt.client.PlanningAttributeIdentifier"); //$NON-NLS-1$

(function() {


dojo.declare("com.ibm.team.apt.client.PlanningAttributeIdentifier", null, { //$NON-NLS-1$
	
	__id: null,

	constructor: function(id) {
		if (dojo.isString(id)) {
			this.__id= id;
		} else {
			this.__id= id.id;
		}
	},

	// ---- api ------------------------------------------------------------------------------------------------------------

	getId: function() {
		return this.__id;
	},

	equals: function(other) {
		if (this === other)
			return true;

		return other instanceof com.ibm.team.apt.client.PlanningAttributeIdentifier && this.__id == other.__id;
	},

	// ---- implementation -------------------------------------------------------------------------------------------------

	__sentinel: null // terminates this class definition
});

})();
